/**
 * WordPress dependencies
 */
import { ToolbarButton } from '@wordpress/components';
import { __ } from '@wordpress/i18n';

/**
 * Internal dependencies
 */
import { useImageEditingContext } from './context';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
export default function FormControls() {
  const {
    isInProgress,
    apply,
    cancel
  } = useImageEditingContext();
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(ToolbarButton, {
      onClick: apply,
      disabled: isInProgress,
      children: __('Apply')
    }), /*#__PURE__*/_jsx(ToolbarButton, {
      onClick: cancel,
      children: __('Cancel')
    })]
  });
}
//# sourceMappingURL=form-controls.js.map