"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BlockControlsSlot;
var _components = require("@wordpress/components");
var _warning = _interopRequireDefault(require("@wordpress/warning"));
var _groups = _interopRequireDefault(require("./groups"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function BlockControlsSlot({
  group = 'default',
  ...props
}) {
  const Slot = _groups.default[group]?.Slot;
  if (!Slot) {
    globalThis.SCRIPT_DEBUG === true ? (0, _warning.default)(`Unknown BlockControls group "${group}" provided.`) : void 0;
    return null;
  }
  if (group === 'default') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(Slot, {
      ...props
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Slot, {
    ...props,
    children: fills => {
      if (!fills.length) {
        return null;
      }
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.ToolbarGroup, {
        children: fills
      });
    }
  });
}
//# sourceMappingURL=slot.native.js.map