"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mayDisplayParentControlsKey = exports.mayDisplayControlsKey = exports.isPreviewModeKey = exports.blockEditingModeKey = exports.blockBindingsKey = exports.DEFAULT_BLOCK_EDIT_CONTEXT = exports.BlockEditContextProvider = void 0;
exports.useBlockEditContext = useBlockEditContext;
var _element = require("@wordpress/element");
/**
 * WordPress dependencies
 */

const mayDisplayControlsKey = exports.mayDisplayControlsKey = Symbol('mayDisplayControls');
const mayDisplayParentControlsKey = exports.mayDisplayParentControlsKey = Symbol('mayDisplayParentControls');
const blockEditingModeKey = exports.blockEditingModeKey = Symbol('blockEditingMode');
const blockBindingsKey = exports.blockBindingsKey = Symbol('blockBindings');
const isPreviewModeKey = exports.isPreviewModeKey = Symbol('isPreviewMode');
const DEFAULT_BLOCK_EDIT_CONTEXT = exports.DEFAULT_BLOCK_EDIT_CONTEXT = {
  name: '',
  isSelected: false
};
const Context = (0, _element.createContext)(DEFAULT_BLOCK_EDIT_CONTEXT);
const {
  Provider
} = Context;
exports.BlockEditContextProvider = Provider;
/**
 * A hook that returns the block edit context.
 *
 * @return {Object} Block edit context
 */
function useBlockEditContext() {
  return (0, _element.useContext)(Context);
}
//# sourceMappingURL=context.js.map