"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BlockIcon = BlockIcon;
exports.default = void 0;
var _reactNative = require("react-native");
var _components = require("@wordpress/components");
var _icons = require("@wordpress/icons");
var _compose = require("@wordpress/compose");
var _style = _interopRequireDefault(require("./style.scss"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function BlockIcon({
  icon,
  fill,
  size,
  showColors = false
}) {
  if (icon?.src === 'block-default') {
    icon = {
      src: _icons.blockDefault
    };
  }
  const defaultFill = (0, _compose.usePreferredColorSchemeStyle)(_style.default.iconPlaceholder, _style.default.iconPlaceholderDark)?.fill;
  const iconForeground = showColors ? icon?.foreground : undefined;
  const renderedIcon = /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.Icon, {
    icon: icon && icon.src ? icon.src : icon,
    fill: fill || iconForeground || defaultFill,
    ...(size && {
      size
    })
  });
  const style = showColors ? {
    backgroundColor: icon && icon.background
  } : {};
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: style,
    children: renderedIcon
  });
}
var _default = exports.default = BlockIcon;
//# sourceMappingURL=index.native.js.map