"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _i18n = require("@wordpress/i18n");
var _components = require("@wordpress/components");
var _blocks = require("@wordpress/blocks");
var _data = require("@wordpress/data");
var _store = require("../../store");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function BlockHTMLConvertButton({
  clientId
}) {
  const block = (0, _data.useSelect)(select => select(_store.store).getBlock(clientId), [clientId]);
  const {
    replaceBlocks
  } = (0, _data.useDispatch)(_store.store);
  if (!block || block.name !== 'core/html') {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.MenuItem, {
    onClick: () => replaceBlocks(clientId, (0, _blocks.rawHandler)({
      HTML: (0, _blocks.getBlockContent)(block)
    })),
    children: (0, _i18n.__)('Convert to Blocks')
  });
}
var _default = exports.default = BlockHTMLConvertButton;
//# sourceMappingURL=block-html-convert-button.js.map