"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RotationButton;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _icons = require("@wordpress/icons");
var _context = require("./context");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function RotationButton() {
  const {
    isInProgress,
    rotateClockwise
  } = (0, _context.useImageEditingContext)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.ToolbarButton, {
    icon: _icons.rotateRight,
    label: (0, _i18n.__)('Rotate'),
    onClick: rotateClockwise,
    disabled: isInProgress
  });
}
//# sourceMappingURL=rotation-button.js.map