"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _i18n = require("@wordpress/i18n");
var _a11y = require("@wordpress/a11y");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

function InserterListboxGroup(props, ref) {
  const [shouldSpeak, setShouldSpeak] = (0, _element.useState)(false);
  (0, _element.useEffect)(() => {
    if (shouldSpeak) {
      (0, _a11y.speak)((0, _i18n.__)('Use left and right arrow keys to move through blocks'));
    }
  }, [shouldSpeak]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    ref: ref,
    role: "listbox",
    "aria-orientation": "horizontal",
    onFocus: () => {
      setShouldSpeak(true);
    },
    onBlur: event => {
      const focusingOutsideGroup = !event.currentTarget.contains(event.relatedTarget);
      if (focusingOutsideGroup) {
        setShouldSpeak(false);
      }
    },
    ...props
  });
}
var _default = exports.default = (0, _element.forwardRef)(InserterListboxGroup);
//# sourceMappingURL=group.js.map