"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _blockStyles = _interopRequireDefault(require("../block-styles"));
var _inspectorControls = _interopRequireDefault(require("../inspector-controls"));
var _border = require("../../hooks/border");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const StylesTab = ({
  blockName,
  clientId,
  hasBlockStyles
}) => {
  const borderPanelLabel = (0, _border.useBorderPanelLabel)({
    blockName
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [hasBlockStyles && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.PanelBody, {
        title: (0, _i18n.__)('Styles'),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_blockStyles.default, {
          clientId: clientId
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "color",
      label: (0, _i18n.__)('Color'),
      className: "color-block-support-panel__inner-wrapper"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "background",
      label: (0, _i18n.__)('Background image')
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "filter"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "typography",
      label: (0, _i18n.__)('Typography')
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "dimensions",
      label: (0, _i18n.__)('Dimensions')
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "border",
      label: borderPanelLabel
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorControls.default.Slot, {
      group: "styles"
    })]
  });
};
var _default = exports.default = StylesTab;
//# sourceMappingURL=styles-tab.js.map