"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MediaUploadCheck = MediaUploadCheck;
exports.default = void 0;
var _data = require("@wordpress/data");
var _store = require("../../store");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function MediaUploadCheck({
  fallback = null,
  children
}) {
  const hasUploadPermissions = (0, _data.useSelect)(select => {
    const {
      getSettings
    } = select(_store.store);
    return !!getSettings().mediaUpload;
  }, []);
  return hasUploadPermissions ? children : fallback;
}

/**
 * @see https://github.com/WordPress/gutenberg/blob/HEAD/packages/block-editor/src/components/media-upload/README.md
 */
var _default = exports.default = MediaUploadCheck;
//# sourceMappingURL=check.js.map