"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
/**
 * WordPress dependencies
 */

/**
 * React hook used to compute the media upload settings to use in the post editor.
 *
 * @param {Object} settings Media upload settings prop.
 *
 * @return {Object} Media upload settings.
 */
function useMediaUploadSettings(settings = {}) {
  return (0, _element.useMemo)(() => ({
    mediaUpload: settings.mediaUpload,
    mediaSideload: settings.mediaSideload,
    maxUploadFileSize: settings.maxUploadFileSize,
    allowedMimeTypes: settings.allowedMimeTypes
  }), [settings]);
}
var _default = exports.default = useMediaUploadSettings;
//# sourceMappingURL=use-media-upload-settings.js.map