"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PrivatePublishDateTimePicker = void 0;
exports.PublishDateTimePicker = PublishDateTimePicker;
exports.default = void 0;
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _element = require("@wordpress/element");
var _date = require("@wordpress/date");
var _inspectorPopoverHeader = _interopRequireDefault(require("../inspector-popover-header"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function PublishDateTimePicker({
  onClose,
  onChange,
  showPopoverHeaderActions,
  isCompact,
  currentDate,
  ...additionalProps
}, ref) {
  const datePickerProps = {
    startOfWeek: (0, _date.getSettings)().l10n.startOfWeek,
    onChange,
    currentDate: isCompact ? undefined : currentDate,
    currentTime: isCompact ? currentDate : undefined,
    ...additionalProps
  };
  const DatePickerComponent = isCompact ? _components.TimePicker : _components.DateTimePicker;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    ref: ref,
    className: "block-editor-publish-date-time-picker",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_inspectorPopoverHeader.default, {
      title: (0, _i18n.__)('Publish'),
      actions: showPopoverHeaderActions ? [{
        label: (0, _i18n.__)('Now'),
        onClick: () => onChange?.(null)
      }] : undefined,
      onClose: onClose
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(DatePickerComponent, {
      ...datePickerProps
    })]
  });
}
const PrivatePublishDateTimePicker = exports.PrivatePublishDateTimePicker = (0, _element.forwardRef)(PublishDateTimePicker);
function PublicPublishDateTimePicker(props, ref) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(PrivatePublishDateTimePicker, {
    ...props,
    showPopoverHeaderActions: true,
    isCompact: false,
    ref: ref
  });
}
var _default = exports.default = (0, _element.forwardRef)(PublicPublishDateTimePicker);
//# sourceMappingURL=index.js.map