"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ResponsiveBlockControlLabel;
var _compose = require("@wordpress/compose");
var _components = require("@wordpress/components");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

function ResponsiveBlockControlLabel({
  property,
  viewport,
  desc
}) {
  const instanceId = (0, _compose.useInstanceId)(ResponsiveBlockControlLabel);
  const accessibleLabel = desc || (0, _i18n.sprintf)(/* translators: 1: property name. 2: viewport name. */
  (0, _i18n._x)('Controls the %1$s property for %2$s viewports.', 'Text labelling a interface as controlling a given layout property (eg: margin) for a given screen size.'), property, viewport.label);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      "aria-describedby": `rbc-desc-${instanceId}`,
      children: viewport.label
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.VisuallyHidden, {
      as: "span",
      id: `rbc-desc-${instanceId}`,
      children: accessibleLabel
    })]
  });
}
//# sourceMappingURL=label.js.map