"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _store = require("../../../store");
/**
 * Internal dependencies
 */
/**
 * When the browser is about to auto correct, add an undo level so the user can
 * revert the change.
 *
 * @param {Object} props
 */
var _default = props => element => {
  function onInput(event) {
    if (event.inputType !== 'insertReplacementText') {
      return;
    }
    const {
      registry
    } = props.current;
    registry.dispatch(_store.store).__unstableMarkLastChangeAsPersistent();
  }
  element.addEventListener('beforeinput', onInput);
  return () => {
    element.removeEventListener('beforeinput', onInput);
  };
};
exports.default = _default;
//# sourceMappingURL=insert-replacement-text.js.map