"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.__unstableRichTextInputEvent = __unstableRichTextInputEvent;
var _element = require("@wordpress/element");
var _ = require("./");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function __unstableRichTextInputEvent({
  inputType,
  onInput
}) {
  const callbacks = (0, _element.useContext)(_.inputEventContext);
  const onInputRef = (0, _element.useRef)();
  onInputRef.current = onInput;
  (0, _element.useEffect)(() => {
    function callback(event) {
      if (event.inputType === inputType) {
        onInputRef.current();
        event.preventDefault();
      }
    }
    callbacks.current.add(callback);
    return () => {
      callbacks.current.delete(callback);
    };
  }, [inputType]);
  return null;
}
//# sourceMappingURL=input-event.js.map