"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = UnitControl;
var _components = require("@wordpress/components");
var _useSettings = require("../use-settings");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function UnitControl({
  units: unitsProp,
  ...props
}) {
  const [availableUnits] = (0, _useSettings.useSettings)('spacing.units');
  const units = (0, _components.__experimentalUseCustomUnits)({
    availableUnits: availableUnits || ['%', 'px', 'em', 'rem', 'vw'],
    units: unitsProp
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_components.__experimentalUnitControl, {
    units: units,
    ...props
  });
}
//# sourceMappingURL=index.js.map