"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = URLInput;
var _reactNative = require("react-native");
var _i18n = require("@wordpress/i18n");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

function URLInput({
  value = '',
  autoFocus = true,
  onChange,
  ...extraProps
}) {
  /* eslint-disable jsx-a11y/no-autofocus */
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TextInput, {
    autoFocus: autoFocus,
    editable: true,
    selectTextOnFocus: true,
    autoCapitalize: "none",
    autoCorrect: false,
    textContentType: "URL",
    value: value,
    onChangeText: onChange,
    placeholder: (0, _i18n.__)('Paste URL'),
    ...extraProps
  });
  /* eslint-enable jsx-a11y/no-autofocus */
}
//# sourceMappingURL=index.native.js.map