"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLayoutType = getLayoutType;
exports.getLayoutTypes = getLayoutTypes;
var _flex = _interopRequireDefault(require("./flex"));
var _flow = _interopRequireDefault(require("./flow"));
var _constrained = _interopRequireDefault(require("./constrained"));
var _grid = _interopRequireDefault(require("./grid"));
/**
 * Internal dependencies
 */

const layoutTypes = [_flow.default, _flex.default, _constrained.default, _grid.default];

/**
 * Retrieves a layout type by name.
 *
 * @param {string} name - The name of the layout type.
 * @return {Object} Layout type.
 */
function getLayoutType(name = 'default') {
  return layoutTypes.find(layoutType => layoutType.name === name);
}

/**
 * Retrieves the available layout types.
 *
 * @return {Array} Layout types.
 */
function getLayoutTypes() {
  return layoutTypes;
}
//# sourceMappingURL=index.js.map