"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.privateApis = void 0;
var globalStyles = _interopRequireWildcard(require("./components/global-styles"));
var _provider = require("./components/provider");
var _lockUnlock = require("./lock-unlock");
var _getRichTextValues = require("./components/rich-text/get-rich-text-values");
var _resizableBoxPopover = _interopRequireDefault(require("./components/resizable-box-popover"));
var _quickInserter = _interopRequireDefault(require("./components/inserter/quick-inserter"));
var _searchItems = require("./components/inserter/search-items");
var _listView = require("./components/list-view");
var _useHasBlockToolbar = require("./components/block-toolbar/use-has-block-toolbar");
var _utils = require("./hooks/utils");
var _blockQuickNavigation = _interopRequireDefault(require("./components/block-quick-navigation"));
var _layout = require("./components/block-list/layout");
var _blockManager = _interopRequireDefault(require("./components/block-manager"));
var _blockRemovalWarningModal = require("./components/block-removal-warning-modal");
var _hooks = require("./hooks");
var _dimensionsTool = _interopRequireDefault(require("./components/dimensions-tool"));
var _resolutionTool = _interopRequireDefault(require("./components/resolution-tool"));
var _textAlignmentControl = _interopRequireDefault(require("./components/text-alignment-control"));
var _formatEdit = require("./components/rich-text/format-edit");
var _blockCanvas = require("./components/block-canvas");
var _utils2 = require("./components/duotone/utils");
var _useFlashEditableBlocks = require("./components/use-flash-editable-blocks");
var _privateKeys = require("./store/private-keys");
var _utils3 = require("./components/writing-flow/utils");
var _richText = require("./components/rich-text/");
var _blockPopover = require("./components/block-popover");
var _library = require("./components/inserter/library");
var _publishDateTimePicker = require("./components/publish-date-time-picker");
var _useSpacingSizes = _interopRequireDefault(require("./components/spacing-sizes-control/hooks/use-spacing-sizes"));
var _useBlockDisplayTitle = _interopRequireDefault(require("./components/block-title/use-block-display-title"));
var _tabbedSidebar = _interopRequireDefault(require("./components/tabbed-sidebar"));
var _blockCommentIconSlot = _interopRequireDefault(require("./components/collab/block-comment-icon-slot"));
var _blockCommentIconToolbarSlot = _interopRequireDefault(require("./components/collab/block-comment-icon-toolbar-slot"));
var _htmlElementControl = _interopRequireDefault(require("./components/html-element-control"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Internal dependencies
 */

/**
 * Private @wordpress/block-editor APIs.
 */
const privateApis = exports.privateApis = {};
(0, _lockUnlock.lock)(privateApis, {
  ...globalStyles,
  ExperimentalBlockCanvas: _blockCanvas.ExperimentalBlockCanvas,
  ExperimentalBlockEditorProvider: _provider.ExperimentalBlockEditorProvider,
  getDuotoneFilter: _utils2.getDuotoneFilter,
  getRichTextValues: _getRichTextValues.getRichTextValues,
  PrivateQuickInserter: _quickInserter.default,
  extractWords: _searchItems.extractWords,
  getNormalizedSearchTerms: _searchItems.getNormalizedSearchTerms,
  normalizeString: _searchItems.normalizeString,
  PrivateListView: _listView.PrivateListView,
  ResizableBoxPopover: _resizableBoxPopover.default,
  useHasBlockToolbar: _useHasBlockToolbar.useHasBlockToolbar,
  cleanEmptyObject: _utils.cleanEmptyObject,
  BlockQuickNavigation: _blockQuickNavigation.default,
  LayoutStyle: _layout.LayoutStyle,
  BlockManager: _blockManager.default,
  BlockRemovalWarningModal: _blockRemovalWarningModal.BlockRemovalWarningModal,
  useLayoutClasses: _hooks.useLayoutClasses,
  useLayoutStyles: _hooks.useLayoutStyles,
  DimensionsTool: _dimensionsTool.default,
  ResolutionTool: _resolutionTool.default,
  TabbedSidebar: _tabbedSidebar.default,
  TextAlignmentControl: _textAlignmentControl.default,
  usesContextKey: _formatEdit.usesContextKey,
  useFlashEditableBlocks: _useFlashEditableBlocks.useFlashEditableBlocks,
  HTMLElementControl: _htmlElementControl.default,
  useZoomOut: _hooks.useZoomOut,
  globalStylesDataKey: _privateKeys.globalStylesDataKey,
  globalStylesLinksDataKey: _privateKeys.globalStylesLinksDataKey,
  selectBlockPatternsKey: _privateKeys.selectBlockPatternsKey,
  requiresWrapperOnCopy: _utils3.requiresWrapperOnCopy,
  PrivateRichText: _richText.PrivateRichText,
  PrivateInserterLibrary: _library.PrivateInserterLibrary,
  reusableBlocksSelectKey: _privateKeys.reusableBlocksSelectKey,
  PrivateBlockPopover: _blockPopover.PrivateBlockPopover,
  PrivatePublishDateTimePicker: _publishDateTimePicker.PrivatePublishDateTimePicker,
  useSpacingSizes: _useSpacingSizes.default,
  useBlockDisplayTitle: _useBlockDisplayTitle.default,
  __unstableBlockStyleVariationOverridesWithConfig: _hooks.__unstableBlockStyleVariationOverridesWithConfig,
  setBackgroundStyleDefaults: _hooks.setBackgroundStyleDefaults,
  sectionRootClientIdKey: _privateKeys.sectionRootClientIdKey,
  CommentIconSlotFill: _blockCommentIconSlot.default,
  CommentIconToolbarSlotFill: _blockCommentIconToolbarSlot.default
});
//# sourceMappingURL=private-apis.js.map